--- speech_tools/audio/esd.cc
+++ speech_tools/audio/esd.cc
@@ -42,12 +42,16 @@
 #include <string.h>
 #include <stdlib.h>
 #include <ctype.h>
+#include <unistd.h>
 #include <sys/stat.h>
+#include <sstream>
 #include "EST_Wave.h"
 #include "EST_Option.h"
 #include "audioP.h"
 #include "EST_io_aux.h"
 
+using namespace std;
+
 #ifdef SUPPORT_ESD
 
 // Hack hack. aupvlist.h is broken at least on FBSD 3.1.1
--- speech_tools/audio/gen_audio.cc
+++ speech_tools/audio/gen_audio.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include <math.h>
 #include <fcntl.h>
--- speech_tools/base_class/EST_DMatrix.cc
+++ speech_tools/base_class/EST_DMatrix.cc
@@ -40,7 +40,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <math.h>
 #include <limits.h>
 #include "EST_String.h"
--- speech_tools/base_class/EST_FMatrix.cc
+++ speech_tools/base_class/EST_FMatrix.cc
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <math.h>
 #include <limits.h>
 #include "EST_String.h"
--- speech_tools/base_class/EST_FeatureData.cc
+++ speech_tools/base_class/EST_FeatureData.cc
@@ -45,8 +45,8 @@
 #include "EST_Token.h"
 #include "EST_FileType.h"
 #include "EST_error.h"
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 
 #include "EST_THash.h"
 
--- speech_tools/base_class/EST_IMatrix.cc
+++ speech_tools/base_class/EST_IMatrix.cc
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <math.h>
 #include <limits.h>
 #include "EST_String.h"
--- speech_tools/base_class/EST_SMatrix.cc
+++ speech_tools/base_class/EST_SMatrix.cc
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include <math.h>
 #include <limits.h>
 #include "EST_String.h"
--- speech_tools/base_class/EST_TMatrix.cc
+++ speech_tools/base_class/EST_TMatrix.cc
@@ -39,8 +39,8 @@
  /*************************************************************************/
 
 #include "EST_TMatrix.h"
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_bool.h"
 #include "EST_matrix_support.h"
 #include "EST_TVector.h"
--- speech_tools/base_class/EST_TNamedEnum.cc
+++ speech_tools/base_class/EST_TNamedEnum.cc
@@ -40,7 +40,7 @@
  /************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 #include "EST_walloc.h"
 #include "EST_TNamedEnum.h"
--- speech_tools/base_class/EST_TSimpleMatrix.cc
+++ speech_tools/base_class/EST_TSimpleMatrix.cc
@@ -42,10 +42,12 @@
 
 #include "EST_TSimpleMatrix.h"
 #include "EST_TVector.h"
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_cutils.h"
 
+using namespace std;
+
 template<class T> 
 void EST_TSimpleMatrix<T>::copy_data(const EST_TSimpleMatrix<T> &a)
 {
--- speech_tools/base_class/EST_TSimpleVector.cc
+++ speech_tools/base_class/EST_TSimpleVector.cc
@@ -42,7 +42,7 @@
 
 #include "EST_TSimpleVector.h"
 #include "EST_matrix_support.h"
-#include <fstream.h>
+#include <fstream>
 #include "EST_cutils.h"
 
 template<class T> void EST_TSimpleVector<T>::copy(const EST_TSimpleVector<T> &a)
--- speech_tools/base_class/EST_TVector.cc
+++ speech_tools/base_class/EST_TVector.cc
@@ -39,8 +39,8 @@
  /*************************************************************************/
 
 
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_TVector.h"
 #include "EST_matrix_support.h"
 #include "EST_cutils.h"
--- speech_tools/base_class/EST_Token.cc
+++ speech_tools/base_class/EST_Token.cc
@@ -39,7 +39,7 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_unix.h"
 #include <stdlib.h>
 #include <limits.h>
--- speech_tools/base_class/EST_Tvectlist.cc
+++ speech_tools/base_class/EST_Tvectlist.cc
@@ -37,7 +37,7 @@
 /* only include this if you define both vectors and lists for the class  */
 /*                                                                       */
 /*=======================================================================*/
-#include <fstream.h>
+#include <fstream>
 #include "EST_TList.h"
 #include "EST_TVector.h"
 #include "EST_cutils.h"
--- speech_tools/base_class/EST_ilist_aux.cc
+++ speech_tools/base_class/EST_ilist_aux.cc
@@ -41,8 +41,8 @@
 #include <ctype.h>
 #include <stdlib.h>
 #include <string.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_types.h"
 #include "EST_String.h"
 #include "EST_Pathname.h"
--- speech_tools/base_class/EST_matrix_support.cc
+++ speech_tools/base_class/EST_matrix_support.cc
@@ -38,7 +38,7 @@
  /*                                                                       */
  /*************************************************************************/
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_TVector.h"
 #include "EST_matrix_support.h"
 #include "EST_bool.h"
--- speech_tools/base_class/EST_slist_aux.cc
+++ speech_tools/base_class/EST_slist_aux.cc
@@ -41,8 +41,8 @@
 #include <ctype.h>
 #include <stdlib.h>
 #include <string.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_types.h"
 #include "EST_String.h"
 #include "EST_Pathname.h"
--- speech_tools/base_class/EST_svec_aux.cc
+++ speech_tools/base_class/EST_svec_aux.cc
@@ -40,8 +40,8 @@
 #include <ctype.h>
 #include <stdlib.h>
 #include <string.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_types.h"
 #include "EST_String.h"
 #include "EST_Pathname.h"
--- speech_tools/base_class/string/EST_Chunk.cc
+++ speech_tools/base_class/string/EST_Chunk.cc
@@ -41,7 +41,7 @@
  /************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include "EST_Chunk.h"
 
--- speech_tools/base_class/string/EST_String.cc
+++ speech_tools/base_class/string/EST_String.cc
@@ -43,7 +43,7 @@
  /*************************************************************************/
 
 
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include <stdio.h>
 #include <ctype.h>
--- speech_tools/grammar/ngram/EST_Ngrammar.cc
+++ speech_tools/grammar/ngram/EST_Ngrammar.cc
@@ -37,8 +37,8 @@
 /* An EST_Ngram class for building and manipulating bigrams trigrams etc */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include <math.h>
 #include <limits.h>
--- speech_tools/grammar/ngram/EST_PST.cc
+++ speech_tools/grammar/ngram/EST_PST.cc
@@ -39,8 +39,8 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_String.h"
 #include "EST_types.h"
--- speech_tools/grammar/ngram/EST_lattice.cc
+++ speech_tools/grammar/ngram/EST_lattice.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 
 #include "EST_lattice.h"
-#include <fstream.h>
+#include <fstream>
 #include <stdlib.h>
 
 Lattice::Lattice()
--- speech_tools/grammar/ngram/EST_lattice_io.cc
+++ speech_tools/grammar/ngram/EST_lattice_io.cc
@@ -37,7 +37,7 @@
 /*                                                                       */
 /*=======================================================================*/
 
-#include <fstream.h>
+#include <fstream>
 #include <stdlib.h>
 #include "EST_lattice.h"
 #include "EST_types.h"
--- speech_tools/grammar/ngram/freqsmooth.cc
+++ speech_tools/grammar/ngram/freqsmooth.cc
@@ -42,7 +42,7 @@
 /*        F(ngram) = !n-1gram|*(P(n-1gram))                              */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include <math.h>
 #include <limits.h>
--- speech_tools/grammar/ngram/ngrammar_aux.cc
+++ speech_tools/grammar/ngram/ngrammar_aux.cc
@@ -37,7 +37,7 @@
 /* Auxiliary functions for EST_Ngram class                               */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include "EST_String.h"
 #include "EST_Ngrammar.h"
--- speech_tools/grammar/ngram/ngrammar_io.cc
+++ speech_tools/grammar/ngram/ngrammar_io.cc
@@ -39,8 +39,8 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_unix.h"
 #include <string.h>
 #include <limits.h>
--- speech_tools/grammar/ngram/ngrammar_utils.cc
+++ speech_tools/grammar/ngram/ngrammar_utils.cc
@@ -37,7 +37,7 @@
 /* A rationalization of some of the general functions                    */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include "EST_String.h"
 #include "EST_Token.h"
--- speech_tools/grammar/scfg/EST_SCFG.cc
+++ speech_tools/grammar/scfg/EST_SCFG.cc
@@ -37,7 +37,7 @@
 /* A class for representing Stochastic Context Free Grammars             */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_Pathname.h"
 #include "EST_SCFG.h"
 
--- speech_tools/grammar/wfst/EST_WFST.cc
+++ speech_tools/grammar/wfst/EST_WFST.cc
@@ -42,7 +42,7 @@
 /*                                                                       */
 /*=======================================================================*/
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_Pathname.h"
 #include "EST_cutils.h"
 #include "EST_Token.h"
--- speech_tools/grammar/wfst/kkcompile.cc
+++ speech_tools/grammar/wfst/kkcompile.cc
@@ -39,7 +39,7 @@
 /* make real WFSTs).                                                     */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_WFST.h"
 #include "EST_cutils.h"
 
--- speech_tools/grammar/wfst/ltscompile.cc
+++ speech_tools/grammar/wfst/ltscompile.cc
@@ -40,7 +40,7 @@
 /* standard form of LTS rules used in Festival.                          */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_cutils.h"
 #include "EST_WFST.h"
 
--- speech_tools/grammar/wfst/rgcompile.cc
+++ speech_tools/grammar/wfst/rgcompile.cc
@@ -42,7 +42,7 @@
 /* Black, International Workshop of Parsing Technologies, CMU 89         */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_cutils.h"
 #include "EST_WFST.h"
 
--- speech_tools/grammar/wfst/tlcompile.cc
+++ speech_tools/grammar/wfst/tlcompile.cc
@@ -44,7 +44,7 @@
 /* Black, International Workshop of Parsing Technologies, CMU 89         */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+// #include <iostream>
 #include "EST_cutils.h"
 #include "EST_THash.h"
 #include "EST_WFST.h"
--- speech_tools/grammar/wfst/wfst_aux.cc
+++ speech_tools/grammar/wfst/wfst_aux.cc
@@ -38,7 +38,7 @@
 /* determinization of WFST.                                              */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_WFST.h"
 #include "wfst_aux.h"
 
--- speech_tools/grammar/wfst/wfst_ops.cc
+++ speech_tools/grammar/wfst/wfst_ops.cc
@@ -38,7 +38,7 @@
 /*   union, composition                                                  */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include "EST_WFST.h"
 #include "wfst_aux.h"
--- speech_tools/grammar/wfst/wfst_regex.cc
+++ speech_tools/grammar/wfst/wfst_regex.cc
@@ -37,7 +37,7 @@
 /* WFST functions for building from REGEXs                               */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_cutils.h"
 #include "EST_WFST.h"
 
--- speech_tools/grammar/wfst/wfst_train.cc
+++ speech_tools/grammar/wfst/wfst_train.cc
@@ -41,13 +41,15 @@
 /* technique known as "maximum entropy"                                  */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include "EST_WFST.h"
 #include "wfst_aux.h"
 #include "EST_Token.h"
 #include "EST_simplestats.h"
 
+using namespace std;
+
 VAL_REGISTER_TYPE_NODEL(trans,EST_WFST_Transition)
 SIOD_REGISTER_CLASS(trans,EST_WFST_Transition)
 VAL_REGISTER_CLASS(pdf,EST_DiscreteProbDistribution)
--- speech_tools/grammar/wfst/wfst_transduce.cc
+++ speech_tools/grammar/wfst/wfst_transduce.cc
@@ -37,7 +37,7 @@
 /* Transduction using a WFST                                             */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "EST_WFST.h"
 
 /** An internal class in transduction of WFSTs holding intermediate
--- speech_tools/include/EST_Chunk.h
+++ speech_tools/include/EST_Chunk.h
@@ -49,10 +49,12 @@
 #    define HAVE_WALLOC_H (1)
 #endif
 
-#include <iostream.h>
+#include <iostream>
 #include <limits.h>
 #include <sys/types.h>
 
+using namespace std;
+
 // Warn when getting a writable version of a shared chunk --
 // useful for minimising copies.
 
--- speech_tools/include/EST_String.h
+++ speech_tools/include/EST_String.h
@@ -45,7 +45,7 @@
 
 #include <string.h>
 #ifdef NO_EST
-#    include <iostream.h>
+#    include <iostream>
 #else
 #    include "EST_iostream.h"
 #endif
@@ -54,6 +54,8 @@
 #include "EST_strcasecmp.h"
 #include "EST_bool.h"
 
+using namespace std;
+
 extern "C" void abort(void);
 
 /** A non-copyleft implementation of a string class to use with
--- speech_tools/include/EST_THash.h
+++ speech_tools/include/EST_THash.h
@@ -36,7 +36,7 @@
 #ifndef __EST_THASH_H__
 #define __EST_THASH_H__
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_String.h"
 #include "EST_system.h"
 #include "EST_bool.h"
@@ -45,6 +45,8 @@
 #include "instantiate/EST_THashI.h"
 #include "instantiate/EST_TStringHashI.h"
 
+using namespace std;
+
 /**@name Hash Tables
   *
   * @author Richard Caley <rjc@cstr.ed.ac.uk>
--- speech_tools/include/EST_TList.h
+++ speech_tools/include/EST_TList.h
@@ -43,7 +43,7 @@
 #ifndef __Tlist_H__
 #define __Tlist_H__
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_common.h"
 #include "EST_UList.h"
 #include "EST_TSortable.h"
@@ -51,6 +51,8 @@
 
 #include "instantiate/EST_TListI.h"
 
+using namespace std;
+
 class EST_String;
 
 template<class T> class EST_TList;
--- speech_tools/include/EST_TMatrix.h
+++ speech_tools/include/EST_TMatrix.h
@@ -41,11 +41,13 @@
 #ifndef __TMatrix_H__
 #define __TMatrix_H__
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_rw_status.h"
 #include "EST_TVector.h"
 #include "instantiate/EST_TMatrixI.h"
 
+using namespace std;
+
 /* When set bounds checks (safe but slow) are done on matrix access */
 #ifndef TMATRIX_BOUNDS_CHECKING
 #    define TMATRIX_BOUNDS_CHECKING 0
--- speech_tools/include/EST_TTimeIndex.h
+++ speech_tools/include/EST_TTimeIndex.h
@@ -35,7 +35,9 @@
 #ifndef __EST_TTIMEINDEX_H__
 #define __EST_TTIMEINDEX_H__
 
-#include <iostream.h>
+#include <iostream>
+
+using namespace std;
 
 /** A time index for a container. The container defines how to get an
   * object and so on, this lets you find a point in the container not
--- speech_tools/include/EST_TVector.h
+++ speech_tools/include/EST_TVector.h
@@ -40,12 +40,14 @@
 #ifndef __EST_TVector_H__
 #define __EST_TVector_H__
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_bool.h"
 #include "EST_rw_status.h"
 
 #include "instantiate/EST_TVectorI.h"
 
+using namespace std;
+
 template<class T> class EST_TMatrix;
 template<class T> class EST_TList;
 class EST_String;
--- speech_tools/include/EST_UList.h
+++ speech_tools/include/EST_UList.h
@@ -41,10 +41,12 @@
 #ifndef __EST_ULIST_H__
 #define __EST_ULIST_H__
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_common.h"
 #include "EST_String.h"
 
+using namespace std;
+
 class EST_UItem {
 public:
     void init() { n = NULL; p = NULL;}
--- speech_tools/include/EST_dynamic_model.h
+++ speech_tools/include/EST_dynamic_model.h
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include "EST.h"
 #include "EST_model_types.h"
 
--- speech_tools/include/EST_iostream.h
+++ speech_tools/include/EST_iostream.h
@@ -49,11 +49,14 @@
     /* For OS/2 */
 #   include <iostream.h>
 #elif defined(SYSTEM_IS_UNIX)
-#   include <iostream.h>
+#   include <iostream>
+#   include <sstream>
 #elif defined(SYSTEM_IS_WIN32)
 #   include "win32/EST_iostream_win32.h"
 #else
 #   error No System Selected
 #endif
 
+using namespace std;
+
 #endif
--- speech_tools/include/EST_model_types.h
+++ speech_tools/include/EST_model_types.h
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include "EST.h"
 #include "EST_Handleable.h"
 #include "EST_THandle.h"
--- speech_tools/include/instantiate/EST_TListI.h
+++ speech_tools/include/instantiate/EST_TListI.h
@@ -45,7 +45,7 @@
 
 // Instantiation Macros
 
-#include <iostream.h>
+#include <iostream>
 #include "instantiate/EST_TIteratorI.h"
 
 #define Instantiate_TList_T_MIN(TYPE, TAG) \
--- speech_tools/include/win32/EST_iostream_win32.h
+++ speech_tools/include/win32/EST_iostream_win32.h
@@ -43,7 +43,7 @@
 #if !defined(__EST_IOSTREAM_WIN32_H__)
 #    define __EST_IOSTREAM_WIN32_H__ 1
 
-#include <iostream.h>
+#include <iostream>
 
 #undef read
 #undef write
--- speech_tools/ling_class/EST_Item.cc
+++ speech_tools/ling_class/EST_Item.cc
@@ -49,8 +49,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "ling_class/EST_Item.h"
 #include "ling_class/EST_Relation.h"
 #include "ling_class/EST_Utterance.h"
--- speech_tools/ling_class/EST_Item_Content.cc
+++ speech_tools/ling_class/EST_Item_Content.cc
@@ -40,7 +40,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include "ling_class/EST_Item_Content.h"
 #include "ling_class/EST_Item.h"
 #include "EST_error.h"
--- speech_tools/ling_class/EST_Relation.cc
+++ speech_tools/ling_class/EST_Relation.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "ling_class/EST_Relation.h"
 #include "ling_class/EST_Item.h"
 #include "relation_io.h"
--- speech_tools/ling_class/EST_Utterance.cc
+++ speech_tools/ling_class/EST_Utterance.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_error.h"
 #include "EST_string_aux.h"
 #include "ling_class/EST_Utterance.h"
--- speech_tools/ling_class/EST_UtteranceFile.cc
+++ speech_tools/ling_class/EST_UtteranceFile.cc
@@ -39,8 +39,8 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_string_aux.h"
 #include "EST_FileType.h"
 #include "EST_Token.h"
--- speech_tools/ling_class/EST_relation_aux.cc
+++ speech_tools/ling_class/EST_relation_aux.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <math.h>
 #include "EST_types.h"
 #include "ling_class/EST_Relation.h"
--- speech_tools/ling_class/EST_relation_compare.cc
+++ speech_tools/ling_class/EST_relation_compare.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <math.h>
 #include "EST_types.h"
 #include "EST_FMatrix.h"
--- speech_tools/ling_class/EST_relation_track.cc
+++ speech_tools/ling_class/EST_relation_track.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <math.h>
 #include "EST_types.h"
 #include "ling_class/EST_Relation.h"
--- speech_tools/ling_class/item_aux.cc
+++ speech_tools/ling_class/item_aux.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "ling_class/EST_Item.h"
 #include "ling_class/EST_Item_Content.h"
 #include "ling_class/EST_Relation.h"
--- speech_tools/ling_class/item_feats.cc
+++ speech_tools/ling_class/item_feats.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_THash.h"
 #include "ling_class/EST_Item.h"
 #include "ling_class/EST_Item_Content.h"
--- speech_tools/ling_class/relation_io.cc
+++ speech_tools/ling_class/relation_io.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include "EST_unix.h"
 #include "EST_types.h"
 #include "ling_class/EST_Relation.h"
--- speech_tools/main/align_main.cc
+++ speech_tools/main/align_main.cc
@@ -40,8 +40,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_WFST.h"
--- speech_tools/main/ch_wave_main.cc
+++ speech_tools/main/ch_wave_main.cc
@@ -37,7 +37,7 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "EST_Wave.h"
 #include "EST_cmd_line.h"
--- speech_tools/main/design_filter_main.cc
+++ speech_tools/main/design_filter_main.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "EST_Wave.h"
 #include "EST_cmd_line.h"
--- speech_tools/main/ols_main.cc
+++ speech_tools/main/ols_main.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_Wagon.h"
 #include "EST_multistats.h"
--- speech_tools/main/ols_test_main.cc
+++ speech_tools/main/ols_test_main.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_Wagon.h"
 #include "EST_cutils.h"
--- speech_tools/main/pda_main.cc
+++ speech_tools/main/pda_main.cc
@@ -36,7 +36,7 @@
 /*             Pitch Detection Algorithm Main routine                    */
 /*                                                                       */
 /*=======================================================================*/
-#include <fstream.h>
+#include <fstream>
 #include "EST.h"
 #include "sigpr/EST_sigpr_utt.h"
 #include "EST_cmd_line_options.h"
--- speech_tools/main/pitchmark_main.cc
+++ speech_tools/main/pitchmark_main.cc
@@ -37,8 +37,8 @@
 /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_unix.h"
 #include "EST_cmd_line_options.h"
 #include "EST_cmd_line.h"
--- speech_tools/main/scfg_make_main.cc
+++ speech_tools/main/scfg_make_main.cc
@@ -41,8 +41,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_SCFG.h"
--- speech_tools/main/scfg_parse_main.cc
+++ speech_tools/main/scfg_parse_main.cc
@@ -39,8 +39,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_SCFG.h"
--- speech_tools/main/scfg_test_main.cc
+++ speech_tools/main/scfg_test_main.cc
@@ -41,8 +41,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_SCFG.h"
--- speech_tools/main/scfg_train_main.cc
+++ speech_tools/main/scfg_train_main.cc
@@ -42,8 +42,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_cmd_line.h"
 #include "EST_SCFG.h"
--- speech_tools/main/sigfilter_main.cc
+++ speech_tools/main/sigfilter_main.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "EST_Wave.h"
 #include "EST_cmd_line.h"
--- speech_tools/main/wagon_main.cc
+++ speech_tools/main/wagon_main.cc
@@ -41,8 +41,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_Wagon.h"
 #include "EST_cmd_line.h"
--- speech_tools/main/wagon_test_main.cc
+++ speech_tools/main/wagon_test_main.cc
@@ -38,8 +38,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_Wagon.h"
 #include "EST_cutils.h"
--- speech_tools/main/wfst_build_main.cc
+++ speech_tools/main/wfst_build_main.cc
@@ -51,8 +51,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_WFST.h"
--- speech_tools/main/wfst_run_main.cc
+++ speech_tools/main/wfst_run_main.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_simplestats.h"
--- speech_tools/main/wfst_train_main.cc
+++ speech_tools/main/wfst_train_main.cc
@@ -38,8 +38,8 @@
 /*=======================================================================*/
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST.h"
 #include "EST_simplestats.h"
--- speech_tools/main/xml_parser_main.cc
+++ speech_tools/main/xml_parser_main.cc
@@ -39,8 +39,8 @@
 
 
 #include <stdlib.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_error.h"
 #include "EST_cutils.h"
 #include "EST_cmd_line.h"
--- speech_tools/sigpr/EST_Window.cc
+++ speech_tools/sigpr/EST_Window.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_system.h"
 //#include "EST_sigpr.h"
 #include "sigpr/EST_Window.h"
--- speech_tools/sigpr/pda/smooth_pda.cc
+++ speech_tools/sigpr/pda/smooth_pda.cc
@@ -37,7 +37,7 @@
 /*=======================================================================*/
 /*#include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <fstream.h>*/
 //#include "sigpr/EST_pda.h"
 #include "EST_Track.h"
--- speech_tools/sigpr/pda/srpd1.3.cc
+++ speech_tools/sigpr/pda/srpd1.3.cc
@@ -68,7 +68,7 @@
 
 #include <math.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "srpd.h"
 #include "EST_cutils.h"
 #include "EST_Wave.h"
--- speech_tools/siod/siod_est.cc
+++ speech_tools/siod/siod_est.cc
@@ -42,7 +42,7 @@
 /* Stream_Items, Waves and Tracks in your binary                         */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include "siod.h"
 #include "ling_class/EST_Utterance.h"
 #include "ling_class/EST_Item.h"
--- speech_tools/siod/slib_file.cc
+++ speech_tools/siod/slib_file.cc
@@ -9,6 +9,7 @@
 
 */
 #include <stdio.h>
+#include <sstream>
 #include "siod.h"
 #include "siodp.h"
 #include "EST_Pathname.h"
--- speech_tools/speech_class/EST_Track.cc
+++ speech_tools/speech_class/EST_Track.cc
@@ -38,8 +38,8 @@
 /*                                                                       */
 /*************************************************************************/
 
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <math.h>
 #include "EST_unix.h"
 #include "EST_Track.h"
--- speech_tools/speech_class/EST_TrackFile.cc
+++ speech_tools/speech_class/EST_TrackFile.cc
@@ -36,8 +36,8 @@
 /*                   File I/O functions for EST_Track class              */
 /*                                                                       */
 /*=======================================================================*/
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <stdlib.h>
 #include <math.h>
 #include <time.h>
--- speech_tools/speech_class/EST_Wave.cc
+++ speech_tools/speech_class/EST_Wave.cc
@@ -37,7 +37,7 @@
 /*                                                                       */
 /*=======================================================================*/
 
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include <stdio.h>
 #include <math.h>
--- speech_tools/speech_class/ssff.cc
+++ speech_tools/speech_class/ssff.cc
@@ -37,8 +37,8 @@
 /* used in emulabel                                                      */
 /*                                                                       */
 /*=======================================================================*/
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <stdlib.h>
 #include <math.h>
 #include <time.h>
--- speech_tools/stats/EST_DProbDist.cc
+++ speech_tools/stats/EST_DProbDist.cc
@@ -37,8 +37,8 @@
 /* Simple statistics (for discrete probability distributions             */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
--- speech_tools/stats/EST_Discrete.cc
+++ speech_tools/stats/EST_Discrete.cc
@@ -37,8 +37,8 @@
 /* Discretes for mapping between alphabets and indexes                   */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
--- speech_tools/stats/EST_cluster.cc
+++ speech_tools/stats/EST_cluster.cc
@@ -41,7 +41,7 @@
 #include "EST_system.h"
 #include "EST_FMatrix.h"
 #include "EST_cluster.h"
-#include <fstream.h>
+#include <fstream>
 #include "EST_string_aux.h"
 #include <float.h>
 
--- speech_tools/stats/dynamic_program.cc
+++ speech_tools/stats/dynamic_program.cc
@@ -36,8 +36,8 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_math.h"
 #include "ling_class/EST_Utterance.h"
 
--- speech_tools/stats/kalman_filter/EST_kalman.cc
+++ speech_tools/stats/kalman_filter/EST_kalman.cc
@@ -39,7 +39,7 @@
 
 #include <stdlib.h>
 #include <stdio.h>
-#include <fstream.h>
+#include <fstream>
 #include "EST.h"
 #include "EST_kalman.h"
 
--- speech_tools/stats/wagon/dlist.cc
+++ speech_tools/stats/wagon/dlist.cc
@@ -45,7 +45,7 @@
 /*  1987                                                                 */
 /*                                                                       */
 /*=======================================================================*/
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include "EST_Wagon.h"
 #include "EST_FMatrix.h"
--- speech_tools/stats/wagon/wagon.cc
+++ speech_tools/stats/wagon/wagon.cc
@@ -43,8 +43,8 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_Token.h"
 #include "EST_FMatrix.h"
--- speech_tools/stats/wagon/wagon_aux.cc
+++ speech_tools/stats/wagon/wagon_aux.cc
@@ -38,7 +38,7 @@
 /*=======================================================================*/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include "EST_unix.h"
 #include "EST_cutils.h"
--- speech_tools/stats/wagon/wagonint.cc
+++ speech_tools/stats/wagon/wagonint.cc
@@ -37,8 +37,8 @@
 /*                                                                       */
 /*=======================================================================*/
 #include <stdlib.h>
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string.h>
 #include "EST_cutils.h"
 #include "EST_Token.h"
--- speech_tools/testsuite/complex_example.cc
+++ speech_tools/testsuite/complex_example.cc
@@ -35,7 +35,7 @@
 /************************************************************************/
 
 #include "EST_Complex.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 
 int main()
--- speech_tools/testsuite/complex_regression.cc
+++ speech_tools/testsuite/complex_regression.cc
@@ -35,7 +35,7 @@
 /************************************************************************/
 
 #include "EST_Complex.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 
 int main()
--- speech_tools/testsuite/deq_example.cc
+++ speech_tools/testsuite/deq_example.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TDeque.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/deq_regression.cc
+++ speech_tools/testsuite/deq_regression.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TDeque.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/handle_example.cc
+++ speech_tools/testsuite/handle_example.cc
@@ -41,8 +41,8 @@
 
 
 #include <stdlib.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_Handleable.h"
 #include "EST_THandle.h"
 #include "EST_TBox.h"
--- speech_tools/testsuite/handle_regression.cc
+++ speech_tools/testsuite/handle_regression.cc
@@ -41,7 +41,7 @@
 
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_THandle.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/hash_example.cc
+++ speech_tools/testsuite/hash_example.cc
@@ -39,7 +39,7 @@
  /************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 #include "EST_THash.h"
 #include "EST_String.h"
--- speech_tools/testsuite/hash_regression.cc
+++ speech_tools/testsuite/hash_regression.cc
@@ -39,8 +39,8 @@
  /*                                                                      */
  /************************************************************************/
 
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include "EST_String.h"
 #include "EST_Token.h"
 #include "EST_THash.h"
--- speech_tools/testsuite/kvl_example.cc
+++ speech_tools/testsuite/kvl_example.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TKVL.h"
 #include "EST_Option.h"
 #include "EST_util_class.h"
--- speech_tools/testsuite/kvl_regression.cc
+++ speech_tools/testsuite/kvl_regression.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TKVL.h"
 #include "EST_Option.h"
 #include "EST_util_class.h"
--- speech_tools/testsuite/list_example.cc
+++ speech_tools/testsuite/list_example.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_bool.h"
 #include "EST_TList.h"
 #include "EST_String.h"
--- speech_tools/testsuite/list_regression.cc
+++ speech_tools/testsuite/list_regression.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TList.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/matrix_example.cc
+++ speech_tools/testsuite/matrix_example.cc
@@ -49,7 +49,7 @@
 //@{
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 //@{ code
 
--- speech_tools/testsuite/matrix_regression.cc
+++ speech_tools/testsuite/matrix_regression.cc
@@ -37,7 +37,7 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TMatrix.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/named_enum_example.cc
+++ speech_tools/testsuite/named_enum_example.cc
@@ -39,7 +39,7 @@
  /************************************************************************/
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include "EST_TNamedEnum.h"
 
 #if defined(DATAC)
--- speech_tools/testsuite/named_enum_regression.cc
+++ speech_tools/testsuite/named_enum_regression.cc
@@ -38,7 +38,7 @@
  /*                                                                      */
  /************************************************************************/
 
-#include <iostream.h>
+#include <iostream>
 #include "EST_TNamedEnum.h"
 #include "EST_String.h"
 
--- speech_tools/testsuite/string_example.cc
+++ speech_tools/testsuite/string_example.cc
@@ -34,7 +34,7 @@
 /*                   Date: May 1997                                     */
 /************************************************************************/
 #include "EST_String.h"
-#include <iostream.h>
+#include <iostream>
 #include <stdio.h>
 
 int main()
--- speech_tools/testsuite/string_regression.cc
+++ speech_tools/testsuite/string_regression.cc
@@ -34,7 +34,7 @@
 /*                   Date: May 1997                                     */
 /************************************************************************/
 #include "EST_String.h"
-#include <iostream.h>
+#include <iostream>
 
 int main()
 
--- speech_tools/testsuite/track_example.cc
+++ speech_tools/testsuite/track_example.cc
@@ -39,7 +39,7 @@
  /*************************************************************************/
 
 
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include "EST_Track.h"
 #include "EST_Wave.h"
--- speech_tools/testsuite/track_regression.cc
+++ speech_tools/testsuite/track_regression.cc
@@ -39,7 +39,7 @@
  /*************************************************************************/
 
 
-#include <iostream.h>
+#include <iostream>
 #include <stdlib.h>
 #include "EST_TrackMap.h"
 #include "EST_Track.h"
--- speech_tools/testsuite/xml_example.cc
+++ speech_tools/testsuite/xml_example.cc
@@ -38,8 +38,8 @@
  /*************************************************************************/
 
 #include <stdlib.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "rxp/XML_Parser.h"
 
 #if defined(DATAC)
--- speech_tools/testsuite/xml_regression.cc
+++ speech_tools/testsuite/xml_regression.cc
@@ -39,7 +39,7 @@
 
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 
 int main(void)
--- speech_tools/utils/EST_FringeServer.cc
+++ speech_tools/utils/EST_FringeServer.cc
@@ -47,8 +47,10 @@
 #include "EST_Pathname.h"
 #include "EST_error.h"
 #include "EST_Token.h"
-#include "iomanip.h"
-#include "iostream.h"
+#include <iomanip>
+#include <iostream>
+
+using namespace std;
 
 static EST_Regex ipnum("[0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+");
 
--- speech_tools/utils/EST_Server.cc
+++ speech_tools/utils/EST_Server.cc
@@ -47,8 +47,10 @@
 #include "EST_Pathname.h"
 #include "EST_error.h"
 #include "EST_Token.h"
-#include <iomanip.h>
-#include <iostream.h>
+#include <iomanip>
+#include <iostream>
+
+using namespace std;
 
 static EST_Regex ipnum("[0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+");
 
--- speech_tools/utils/EST_ServiceTable.cc
+++ speech_tools/utils/EST_ServiceTable.cc
@@ -42,10 +42,12 @@
 #include "EST_error.h"
 #include "EST_Token.h"
 #include "EST_ServiceTable.h"
-#include <iomanip.h>
-#include <iostream.h>
+#include <iomanip>
+#include <iostream>
 #include <time.h>
 
+using namespace std;
+
 #if defined(SYSTEM_IS_WIN32)
 #    define seed_random() srand((unsigned)time(NULL))
 #    define get_random() rand()
--- speech_tools/utils/util_io.cc
+++ speech_tools/utils/util_io.cc
@@ -41,8 +41,8 @@
 #include <ctype.h>
 #include <stdlib.h>
 #include <string.h>
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include "EST_types.h"
 #include "EST_String.h"
 #include "EST_Pathname.h"
